Viewing 2 reply threads
  • Author
    Posts
    • #14997
      Sebastian Böhme
      Participant

        Hallo Zusammen,

        ich versuche und scheitere gerade an der Installation der Perl Module auf einem aktuellem Debian OS.

        Laut Anleitung muss ich diverse Perl-Module nachinstallieren – apt-update und apt-upgrade wurde ausgeführt.

         

        apt-get install -y libarchive-zip-perl libtimedate-perl libdatetime-perl … usw.

        leider kann keines der Module geladen werden:

        Paketlisten werden gelesen… Fertig
        Abhängigkeitsbaum wird aufgebaut… Fertig
        Statusinformationen werden eingelesen… Fertig
        Paket libnet-ldap-perl ist nicht verfügbar, wird aber von einem anderen Paket
        referenziert. Das kann heißen, dass das Paket fehlt, dass es abgelöst
        wurde oder nur aus einer anderen Quelle verfügbar ist.

        Nachfolgend habe ich die Module geprüft:

        perl /opt/otobo/bin/otobo.CheckModules.pl -list

        Required packages:
        o Archive::Tar…………………ok (v2.36)
        o Archive::Zip…………………Not installed! To install, you can use: ‘apt-get install -y libarchive-zip-perl’. (required – Required for compressed file generation.)

         

        auch hiermit komme ich nicht weiter:

        root@Schnepfe:~# apt-get install -y libarchive-zip-perl
        Paketlisten werden gelesen… Fertig
        Abhängigkeitsbaum wird aufgebaut… Fertig
        Statusinformationen werden eingelesen… Fertig
        E: Paket libarchive-zip-perl kann nicht gefunden werden.

         

        Ich habe leider keine Erfahrungen unter Linux möchte dies aber gern erlangen – deshalb habe ich mir das Projekt ans Land gezogen.

        Kann mir jemand einen Tipp geben. via CPAN habe ich es auch schon versucht – auch dieses Paket kann nicht gefunden werden.

         

         

        Danke vorab !

      • #14999
        marcel-graf
        Participant

          für Unbuntu hatte ich seinerzeit vor Docker immer folgendes gemacht:

          apt-get install perl

          perl /opt/otobo/bin/otobo.CheckModules.pl -list

          /opt/otobo/bin/otobo.CheckModules.pl -inst
          —-
          apt-get install -y libarchive-zip-perl libtimedate-perl libdatetime-perl usw…… # Rückgabe von tobo.CheckModules.pl -inst wird mit dem Befehl installiert

          Die Befehle könnten bei Debian anders heißen.

           

           

           

        • #15000
          Sebastian Böhme
          Participant

            Danke für die Info,

            ich bin momentan selbst etwas weitergekommen indem ich unter /etc/apt/sources.list folgende URL

            “deb http://ftp.de.debian.org/debian sid main”

            eingebunden habe und dann das update/upgrade durchgeführt, danach waren dann die Befehle die unter “perl /opt/otobo/bin/otobo.CheckModules.pl -list” vorgeschlagen wurden erfolgeich ausführbar.

        Viewing 2 reply threads
        • You must be logged in to reply to this topic.